__gnu_pbds::detail::type_dispatch< Key, Mapped, _Alloc, Store_Hash > Struct Template Reference
Extensions » Policy-Based Data Structures » Tags » Invalidation Guarantees » Data Structure Type » Traits

## Public Types

typedef type_base< Key, Mapped, _Alloc, Store_Hash > | type

## Detailed Description

### template<typename Key, typename Mapped, typename _Alloc, bool Store_Hash>
struct __gnu_pbds::detail::type_dispatch< Key, Mapped, _Alloc, Store_Hash >

Type base dispatch.

Definition at line 256 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp